/////////////////////////////////////
//            Fur vertex shader
//		base
//           by Jonas Nilsson
//      jonni957@student.liu.se
/////////////////////////////////////


//vectors used for light calculation in the fragment shader
varying vec3 lightDir,normal,tangent,binorm,halfv; 

varying vec2 v_texCoord2D; //texture coordinate
attribute vec3 vTangent; //vTangent attribute is not avaliable on all graphic cards

void main()
{	
	//Direction of light 0 and the halfvector for that light is stored in varying variables
    lightDir = normalize(vec3(gl_LightSource[0].position));	
    halfv=gl_LightSource[0].halfVector.xyz;
    
	//Normal, tangent and binormal is stored in varying variables 
	normal = normalize(gl_NormalMatrix * gl_Normal);
    tangent = vTangent;
	binorm = normalize(cross(normal,tangent));
	
	//Texture coordinat is stored in a varying varible
	v_texCoord2D=gl_MultiTexCoord0.st;
	
	//Vertex shader is done.
	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
	
}